<?php
/**
 * The accommodation calendar widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.0.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Popover_Toggle;

$this->add_control(
	'ecwb_accommodation_styles_design_heading',
	array(
		'label' => __( 'Design', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => \Elementor\Controls_Manager::HEADING,
	)
);

$this->add_control(
	'ecwb_accommodation_styles_design_backgrounds_popover',
	array(
		'label' => __( 'Background', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::POPOVER_TOGGLE,
	)
);

$this->start_popover();

$this->start_controls_tabs( 'ecwb_accommodation_styles_design_backgrounds_tabs' );

	$this->start_controls_tab(
		'
        ecwb_accommodation_styles_design_backgrounds_popover_tab_normal',
		array(
			'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
		)
	);

		$this->add_control(
			'ecwb_accommodation_styles_design_backgrounds_normal',
			array(
				'label'     => __( 'Section', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking' => 'background: {{VALUE}}',
				),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_design_backgrounds_input_normal',
			array(
				'label'     => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input' => 'background: {{VALUE}}',
				),
			)
		);

		$this->end_controls_tab();

		$this->start_controls_tab(
			'
        ecwb_accommodation_styles_design_backgrounds_popover_tab_hover',
			array(
				'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_design_backgrounds_hover',
			array(
				'label'     => __( 'Section', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking:hover' => 'background: {{VALUE}}',
				),
			)
		);

		$this->end_controls_tab();

		$this->start_controls_tab(
			'
        ecwb_accommodation_styles_design_backgrounds_popover_tab_focus',
			array(
				'label' => __( 'Focus', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_design_backgrounds_input_focus',
			array(
				'label'     => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input:focus' => 'background: {{VALUE}}',
				),
			)
		);

		$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->end_popover();

		$this->add_control(
			'ecwb_accommodation_styles_design_borders_popover',
			array(
				'label' => __( 'Borders', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_accommodation_styles_design_borders_input_heading',
			array(
				'label'     => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			array(
				'name'     => 'ecwb_accommodation_styles_design_borders_input',
				'label'    => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input',
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_accommodation_styles_design_border_radius_popover',
			array(
				'label' => __( 'Border Radius', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_accommodation_styles_design_border_radius_input',
			array(
				'label'      => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_accommodation_styles_layout_heading',
			array(
				'label'     => __( 'Layout', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_layout_margin_popover',
			array(
				'label' => __( 'Margin', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_accommodation_styles_layout_input_margin',
			array(
				'label'      => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_accommodation_styles_layout_padding_popover',
			array(
				'label' => __( 'Padding', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_accommodation_styles_layout_input_padding',
			array(
				'label'      => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_responsive_control(
			'ecwb_accommodation_styles_layout_input_width',
			array(
				'label'      => __( 'Section Width', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => Controls_Manager::SLIDER,
				'size_units' => array( 'px', '%' ),
				'range'      => array(
					'px' => array(
						'min'  => 0,
						'max'  => 800,
						'step' => 1,
					),
					'%'  => array(
						'min' => 0,
						'max' => 100,
					),
				),
				'default'    => array(
					'unit' => '%',
					'size' => 20,
				),
				'selectors'  => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields label' => 'width: {{SIZE}}{{UNIT}};',
				),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_typography_header',
			array(
				'label'     => __( 'Typography', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_typography_fonts',
			array(
				'label' => __( 'Font Colors', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_accommodation_styles_typography_fonts_color_label',
			array(
				'label'     => __( 'Labels', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields label, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .label, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields > span' => 'color: {{VALUE}}',
				),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_typography_fonts_color_input',
			array(
				'label'     => __( 'Input Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields ::placeholder, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking label span' => 'color: {{VALUE}}',


				),
			)
		);

		$this->add_control(
			'ecwb_accommodation_styles_typography_fonts_color_description',
			array(
				'label'     => __( 'Field Description', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking label span' => 'color: {{VALUE}}',


				),
			)
		);

		$this->end_popover();

		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			array(
				'name'     => 'ecwb_accommodation_styles_typography_fonts_label_typography',
				'label'    => __( 'Label', 'elementor-connector-for-woocommerce-bookings' ),
				'global'   => array(
					'default' => Global_Typography::TYPOGRAPHY_PRIMARY,
				),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields label, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .label, {{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields > span',
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			array(
				'name'     => 'ecwb_accommodation_styles_typography_fonts_input_typography',
				'label'    => __( 'Input Fields Font', 'elementor-connector-for-woocommerce-bookings' ),
				'global'   => array(
					'default' => Global_Typography::TYPOGRAPHY_PRIMARY,
				),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking .wc-bookings-date-picker-date-fields input',
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			array(
				'name'     => 'ecwb_accommodation_styles_typography_fonts_description_typography',
				'label'    => __( 'Field Description Font', 'elementor-connector-for-woocommerce-bookings' ),
				'global'   => array(
					'default' => Global_Typography::TYPOGRAPHY_PRIMARY,
				),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form fieldset.wc-bookings-date-picker-accommodation-booking label span',
			)
		);
