<?php
/**
 * The buttons widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.0.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Popover_Toggle;

// Design.
$this->add_control(
	'ecwb_buttons_styles_background_header',
	array(
		'label' => __( 'Design', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::HEADING,
	)
);

$this->add_control(
	'ecwb_buttons_styles_background_popover',
	array(
		'label' => __( 'Backgrounds', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::POPOVER_TOGGLE,
	)
);

$this->start_popover();

	$this->start_controls_tabs( 'ecwb_buttons_styles_background_tabs' );

		$this->start_controls_tab(
			'ecwb_buttons_styles_background_tabs_normal',
			array(
				'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

			$this->add_control(
				'ecwb_buttons_styles_section_background',
				array(
					'label'     => __( 'Button Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_buttons_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_buttons_styles_background_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_buttons_styles_section_background_hover',
				array(
					'label'     => __( 'Button Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button:hover' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_buttons_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->end_popover();

			$this->add_control(
				'ecwb_buttons_styles_border_popover',
				array(
					'label' => __( 'Borders', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->start_controls_tabs( 'ecwb_buttons_styles_border_tabs' );

			$this->start_controls_tab(
				'ecwb_buttons_styles_border_tabs_normal',
				array(
					'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_border_styles_field_border',
					'label'     => __( 'Button Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} form.cart button.wc-bookings-booking-form-button',
					'separator' => 'after',
					'condition' => array(
						'ecwb_buttons_styles_border_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_buttons_styles_border_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_border_styles_field_border_hover',
					'label'     => __( 'Button Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} form.cart button.wc-bookings-booking-form-button:hover',
					'separator' => 'after',
					'condition' => array(
						'ecwb_buttons_styles_border_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->add_responsive_control(
				'ecwb_buttons_styles_field_border_radius',
				array(
					'label'      => __( 'Button Border Radius', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px' ),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'selectors'  => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_buttons_styles_border_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			// Layout.
			$this->add_control(
				'ecwb_buttons_styles_layout_header',
				array(
					'label'     => __( 'Layout', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_buttons_styles_margin_popover',
				array(
					'label' => __( 'Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_buttons_styles_field_margin',
				array(
					'label'      => __( 'Button Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_buttons_styles_margin_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_buttons_styles_padding_popover',
				array(
					'label' => __( 'Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_buttons_styles_field_padding',
				array(
					'label'      => __( 'Button Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_buttons_styles_padding_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_buttons_styles_dimensions_popover',
				array(
					'label' => __( 'Dimensions', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_buttons_styles_field_width',
				array(
					'label'      => __( 'Button Width', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::SLIDER,
					'size_units' => array( 'px', '%' ),
					'range'      => array(
						'px' => array(
							'min'  => 0,
							'max'  => 960,
							'step' => 5,
						),
						'%'  => array(
							'min' => 0,
							'max' => 100,
						),
					),
					'selectors'  => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'width: {{SIZE}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_buttons_styles_dimensions_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_responsive_control(
				'ecwb_buttons_styles_field_alignment',
				array(
					'label'     => __( 'Alignment', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::CHOOSE,
					'options'   => array(
						'left'  => array(
							'title' => __( 'Left', 'elementor-connector-for-woocommerce-bookings' ),
							'icon'  => 'eicon-text-align-left',
						),
						'right' => array(
							'title' => __( 'Right', 'elementor-connector-for-woocommerce-bookings' ),
							'icon'  => 'eicon-text-align-right',
						),
					),
					'default'   => 'left',
					'selectors' => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'float: {{VALUE}}',
					),
				)
			);

			// Typography.
			$this->add_control(
				'ecwb_buttons_styles_typography_header',
				array(
					'label'     => __( 'Typograpy', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_buttons_styles_typography_popover',
				array(
					'label' => __( 'Font Colors', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->start_controls_tabs( 'ecwb_buttons_styles_typography_tabs' );

			$this->start_controls_tab(
				'ecwb_buttons_styles_typography_tabs_normal',
				array(
					'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_buttons_styles_field_typography_color',
				array(
					'label'     => __( 'Button Color', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,

					'selectors' => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button' => 'color: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_buttons_styles_typography_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_buttons_styles_typography_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_buttons_styles_field_typography_color_hover',
				array(
					'label'     => __( 'Button Color', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,

					'selectors' => array(
						'{{WRAPPER}} form.cart button.wc-bookings-booking-form-button:hover' => 'color: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_buttons_styles_typography_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tabs();

			$this->end_popover();

			$this->add_group_control(
				Group_Control_Typography::get_type(),
				array(
					'name'     => 'ecwb_buttons_styles_field_typography',
					'label'    => __( 'Button Font', 'elementor-connector-for-woocommerce-bookings' ),
					'selector' => '{{WRAPPER}} form.cart button.wc-bookings-booking-form-button',
				)
			);
