<?php
/**
 * The person widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.0.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Popover_Toggle;

// Design.
$this->add_control(
	'ecwb_person_styles_background_header',
	array(
		'label' => __( 'Design', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::HEADING,
	)
);

	$this->add_control(
		'ecwb_person_styles_background_popover',
		array(
			'label' => __( 'Backgrounds', 'elementor-connector-for-woocommerce-bookings' ),
			'type'  => Controls_Manager::POPOVER_TOGGLE,
		)
	);

	$this->start_popover();

		$this->start_controls_tabs( 'ecwb_person_styles_background_tabs' );

		$this->start_controls_tab(
			'ecwb_person_styles_background_tabs_normal',
			array(
				'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

			$this->add_control(
				'ecwb_person_styles_section_background',
				array(
					'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form [class*="wc_bookings_field_persons"].form-field-wide' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_background_popover' => 'yes',
					),
				)
			);

			$this->add_control(
				'ecwb_person_styles_field_background',
				array(
					'label'     => __( 'Field Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form [class*="wc_bookings_field_persons"].form-field-wide input' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_person_styles_background_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_person_styles_section_background_hover',
				array(
					'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form [class*="wc_bookings_field_persons"].form-field-wide:hover' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_background_popover' => 'yes',
					),
				)
			);

			$this->add_control(
				'ecwb_person_styles_field_background_hover',
				array(
					'label'     => __( 'Field Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form [class*="wc_bookings_field_persons"].form-field-wide input:hover, {{WRAPPER}} #wc-bookings-booking-form [class*="wc_bookings_field_persons"].form-field-wide input:focus' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->end_popover();

			$this->add_control(
				'ecwb_person_styles_border_popover',
				array(
					'label' => __( 'Borders', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->start_controls_tabs( 'ecwb_person_styles_border_tabs' );

			$this->start_controls_tab(
				'ecwb_person_styles_border_tabs_normal',
				array(
					'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_person_styles_field_border',
					'label'     => __( 'Field Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input',
					'condition' => array(
						'ecwb_person_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_person_styles_border_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_person_styles_field_border_hover',
					'label'     => __( 'Field Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input:hover',
					'condition' => array(
						'ecwb_person_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_person_styles_border_tabs_focus',
				array(
					'label' => __( 'Focus', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_person_styles_field_border_focus',
					'label'     => __( 'Field Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input:focus',
					'condition' => array(
						'ecwb_person_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->add_responsive_control(
				'ecwb_person_styles_field_border_radius',
				array(
					'label'      => __( 'Field Border Radius', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px' ),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_person_styles_border_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			// Layout.
			$this->add_control(
				'ecwb_person_styles_layout_header',
				array(
					'label'     => __( 'Layout', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_person_styles_layout',
				array(
					'label'     => __( 'Orientation', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::SELECT,
					'default'   => 'flex',
					'options'   => array(
						'flex'  => __( 'Columns', 'elementor-connector-for-woocommerce-bookings' ),
						'block' => __( 'Fullwidth', 'elementor-connector-for-woocommerce-bookings' ),
					),
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form' => 'display: {{VALUE}}',
					),
				)
			);

			$this->add_control(
				'ecwb_person_styles_margin_popover',
				array(
					'label' => __( 'Margins', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_section_margin',
				array(
					'label'      => __( 'Section Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_person_styles_margin_popover' => 'yes',
					),
				)
			);

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_label_margin',
				array(
					'label'      => __( 'Label Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide label[for*="wc_bookings_field_persons"]' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_person_styles_margin_popover' => 'yes',
					),
				)
			);

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_field_margin',
				array(
					'label'      => __( 'Field Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_person_styles_margin_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_person_styles_padding_popover',
				array(
					'label' => __( 'Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_section_padding',
				array(
					'label'      => __( 'Section Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_person_styles_padding_popover' => 'yes',
					),
				)
			);

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_label_padding',
				array(
					'label'      => __( 'Label Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide label[for*="wc_bookings_field_persons"]' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_person_styles_padding_popover' => 'yes',
					),
				)
			);

			$this->add_responsive_control(
				'ecwb_person_styles_spacing_field_padding',
				array(
					'label'      => __( 'Field Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field-wide input' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_person_styles_padding_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_person_styles_width_popover',
				array(
					'label' => __( 'Widths', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_person_styles_section_width',
				array(
					'label'      => __( 'Section Width', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::SLIDER,
					'size_units' => array( 'px', '%' ),
					'range'      => array(
						'px' => array(
							'min'  => 0,
							'max'  => 1440,
							'step' => 5,
						),
						'%'  => array(
							'min' => 0,
							'max' => 100,
						),
					),
					'default'    => array(
						'unit' => '%',
						'size' => 50,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form p[class*="wc_bookings_field_persons"]' => 'width: {{SIZE}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_person_styles_width_popover' => 'yes',
					),
				)
			);

			$this->add_responsive_control(
				'ecwb_person_styles_field_width',
				array(
					'label'      => __( 'Field Width', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::SLIDER,
					'size_units' => array( 'px', '%' ),
					'range'      => array(
						'px' => array(
							'min'  => 0,
							'max'  => 1440,
							'step' => 5,
						),
						'%'  => array(
							'min' => 0,
							'max' => 100,
						),
					),
					'default'    => array(
						'unit' => '%',
						'size' => 50,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field input[type=number]' => 'width: {{SIZE}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_person_styles_width_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			// Typography.
			$this->add_control(
				'ecwb_person_styles_typography_header',
				array(
					'label'     => __( 'Typography', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_person_styles_typography_popover',
				array(
					'label' => __( 'Font Colors', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_control(
				'ecwb_person_styles_label_typography_color',
				array(
					'label'     => __( 'Label Color', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,

					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form p[class*="wc_bookings_field_persons"]' => 'color: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_typography_popover' => 'yes',
					),
				)
			);

			$this->add_control(
				'ecwb_person_styles_field_typography_color',
				array(
					'label'     => __( 'Field Color', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .form-field input[type=number]' => 'color: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_person_styles_typography_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_group_control(
				Group_Control_Typography::get_type(),
				array(
					'name'     => 'ecwb_person_styles_label_typography',
					'label'    => __( 'Label Font', 'elementor-connector-for-woocommerce-bookings' ),
					'selector' => '{{WRAPPER}} #wc-bookings-booking-form p[class*="wc_bookings_field_persons"]',
				)
			);

			$this->add_group_control(
				Group_Control_Typography::get_type(),
				array(
					'name'     => 'ecwb_person_styles_field_typography',
					'label'    => __( 'Field Font', 'elementor-connector-for-woocommerce-bookings' ),
					'selector' => '{{WRAPPER}} #wc-bookings-booking-form .form-field input[type=number]',
				)
			);
