<?php
/**
 * Thetemplates widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.1
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;

$this->add_control(
	'ecwb_templates_raw',
	array(
		'type'            => Controls_Manager::RAW_HTML,
		'raw'             => '
		<style>
			.ecwb-templates .item { width: 100%; }
			.ecwb-templates .container { display: flex; flex-wrap: wrap; }
			.ecwb-templates .container > li { flex: 46%; margin: 2em 1% 0; position: relative; transition: all 0.2s ease-in-out; max-width: 48%; }
			.ecwb-templates .container > li:hover .price { background: #fff; color: #93003c; border: 1px solid #93003c; }
			.ecwb-templates .container > li .price { background: #93003c; top: -10px; left: -5px; color: #fff; padding: 0.5em 1em; display: block; position: absolute; border-radius: 5px; z-index: 999; }
			.ecwb-templates .container > li a:hover { border-bottom-color: transparent; }
			.ecwb-templates .container > li a.soon { border: 1px solid #93003c; display: block; min-height: 107px; position: relative; border-radius: 3px; }
			.ecwb-templates .container > li a.soon:after { content: "Coming Soon"; position: absolute; top: calc(4vh); color: #93003c; width: 100%; text-align: center; }
			.ecwb-templates .container > li h4 { text-align: center; margin: 1em 0.5em; }
			.ecwb-templates hr { margin: 2em 0; opacity: 0.2; }
			.ecwb-templates .button { color: #fff; background: #93003c; padding: 0.5em 2em; border-radius: 5px; float: right; }
		</style>
		<ul class="ecwb-templates-list container">
			<li class="addon product listing item">
				<span class="price">' . esc_html__( 'Free', 'elementor-connector-for-woocommerce-bookings' ) . '</span>
				<a href="' . esc_url( 'https://wpextend.io/product/elementor-connector-design-template-woobnb/' ) . '" target="_blank">
					<img src="' . esc_url( plugins_url( '/assets/woobnb-featured.jpeg', __FILE__ ) ) . '" alt="' . esc_attr__( 'Woobnb Demo', 'elementor-connector-for-woocommerce-bookings' ) . '">
				</a>
				<h4>' . esc_html__( 'Woobnb Demo', 'elementor-connector-for-woocommerce-bookings' ) . '</h4>
			</li>
			<li class="addon product listing item">
				<span class="price">$7</span>
				<a href="' . esc_url( 'https://wpextend.io/product/elementor-connector-design-template-hotelio/' ) . '" target="_blank">
					<img src="' . esc_url( plugins_url( '/assets/hotelio-featured.jpg', __FILE__ ) ) . '" alt="' . esc_attr__( 'Hotelio Demo', 'elementor-connector-for-woocommerce-bookings' ) . '">
				</a>
				<h4>' . esc_html__( 'Hotelio Demo', 'elementor-connector-for-woocommerce-bookings' ) . '</h4>
			</li>
			<li class="addon product listing item">
				<span class="price">' . esc_html__( 'Free', 'elementor-connector-for-woocommerce-bookings' ) . '</span>
				<a href="' . esc_url( 'https://wpextend.io' ) . '" target="_blank" class="soon"></a>
				<h4>...</h4>
			</li>
		</ul>
		<hr>
		<a href="' . esc_url( 'https://woocommerce.com/vendor/wpextend/' ) . '" class="button" target="_blank">' . esc_html__( 'See More', 'elementor-connector-for-woocommerce-bookings' ) . '</a>',
		'content_classes' => 'ecwb-templates',
	)
);
