<?php
/**
 * The timeslot (Customer Selected) widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.1.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Popover_Toggle;

$this->add_control(
	'ecwb_timeslots_styles_design_header',
	array(
		'label'     => __( 'Design', 'elementor-connector-for-woocommerce-bookings' ),
		'type'      => \Elementor\Controls_Manager::HEADING,
		'separator' => 'after',
	)
);

$this->add_control(
	'ecwb_timeslots_styles_design_background_popover',
	array(
		'label' => __( 'Backgrounds', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => \Elementor\Controls_Manager::POPOVER_TOGGLE,
	)
);

$this->start_popover();

	$this->start_controls_tabs( 'ecwb_timeslots_styles_design_background_tabs' );

	$this->start_controls_tab(
		'
		ecwb_timeslots_styles_design_background_tabs_tab_normal',
		array(
			'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
		)
	);

		$this->add_control(
			'ecwb_timeslots_styles_design_section_background_normal',
			array(
				'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form .block-picker' => 'background: {{VALUE}}',
				),
			)
		);

		$this->end_controls_tab();

		$this->start_controls_tab(
			'
		ecwb_timeslots_styles_design_background_tabs_tab_hover',
			array(
				'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_design_section_background_hover',
			array(
				'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} #wc-bookings-booking-form .block-picker:hover' => 'background: {{VALUE}}',
				),
			)
		);

		$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_design_borders',
			array(
				'label' => __( 'Borders', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->start_controls_tabs( 'ecwb_timeslots_styles_design_borders_tabs' );

		$this->start_controls_tab(
			'
		ecwb_timeslots_styles_design_borders_tabs_tab_normal',
			array(
				'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_design_section_border_heading_normal',
			array(
				'label' => __( 'Section Border', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => \Elementor\Controls_Manager::HEADING,
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			array(
				'name'     => 'ecwb_timeslots_styles_design_section_border_normal',
				'label'    => __( 'Section Border', 'elementor-connector-for-woocommerce-bookings' ),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form .block-picker',
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_design_input_border_heading_normal',
			array(
				'label'     => __( 'Select Fieldss', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			array(
				'name'     => 'ecwb_timeslots_styles_design_input_border_normal',
				'label'    => __( 'Start / End Time', 'elementor-connector-for-woocommerce-bookings' ),
				'selector' => '{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker .wc-bookings-end-time-container select, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker .wc-bookings-start-time-container select',
			)
		);

		$this->end_controls_tab();

		$this->start_controls_tab(
			'
		ecwb_timeslots_styles_design_borders_tabs_tab_hover',
			array(
				'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_design_section_border_heading_hover',
			array(
				'label' => __( 'Section Border', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => \Elementor\Controls_Manager::HEADING,
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			array(
				'name'     => 'ecwb_timeslots_styles_design_section_border_hover',
				'label'    => __( 'Section Border', 'elementor-connector-for-woocommerce-bookings' ),
				'selector' => '{{WRAPPER}} #wc-bookings-booking-form .block-picker:hover',
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_design_input_border_heading_hover',
			array(
				'label'     => __( 'Select Fieldss', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			array(
				'name'     => 'ecwb_timeslots_styles_design_input_border_hover',
				'label'    => __( 'Start / End Time', 'elementor-connector-for-woocommerce-bookings' ),
				'selector' => '{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker .wc-bookings-end-time-container select:hover',
			)
		);

		$this->end_controls_tab();

		$this->end_controls_tabs();

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_design_section_border_radius_popover',
			array(
				'label' => __( 'Border Radius', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_responsive_control(
			'ecwb_timeslots_styles_design_section_border_radius',
			array(
				'label'      => __( 'Section', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px' ),
				'selectors'  => array(
					'{{WRAPPER}} #wc-bookings-booking-form .block-picker' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->add_responsive_control(
			'ecwb_timeslots_styles_design_input_field_radius',
			array(
				'label'      => __( 'Select Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px' ),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker select' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_heading',
			array(
				'label'     => __( 'Layout', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_layout_padding_popover',
			array(
				'label' => __( 'Padding', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_padding',
			array(
				'label'      => __( 'Section', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_layout_padding_input',
			array(
				'label'      => __( 'Select Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker label, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker select, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_margin_popover',
			array(
				'label' => __( 'Margin', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_margin',
			array(
				'label'      => __( 'Section', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_layout_margin_input',
			array(
				'label'      => __( 'Select Fields', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => array( 'px', '%', 'em' ),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker label, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker select, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_width_popover',
			array(
				'label' => __( 'Width', 'elementor-connector-for-woocommerce-bookings' ),
				'type'  => Controls_Manager::POPOVER_TOGGLE,
			)
		);

		$this->start_popover();

		$this->add_control(
			'ecwb_timeslots_styles_layout_width',
			array(
				'label'      => __( 'Width', 'elementor-connector-for-woocommerce-bookings' ),
				'type'       => Controls_Manager::SLIDER,
				'size_units' => array( 'px', '%' ),
				'range'      => array(
					'px' => array(
						'min'  => 0,
						'max'  => 800,
						'step' => 5,
					),
					'%'  => array(
						'min' => 0,
						'max' => 100,
					),
				),
				'default'    => array(
					'unit' => '%',
					'size' => 100,
				),
				'selectors'  => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker div' => 'width: {{SIZE}}{{UNIT}};',
				),
			)
		);

		$this->end_popover();

		$this->add_control(
			'ecwb_timeslots_styles_typography_heading',
			array(
				'label'     => __( 'Typography', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			)
		);

		$this->add_control(
			'ecwb_timeslots_styles_typography_font_color',
			array(
				'label'     => __( 'Font Colors', 'elementor-connector-for-woocommerce-bookings' ),
				'type'      => \Elementor\Controls_Manager::COLOR,
				'selectors' => array(
					'{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker label, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker p' => 'color: {{VALUE}}',
				),
			)
		);

		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			array(
				'name'     => 'ecwb_timeslots_styles_typography',
				'label'    => __( 'Label Font', 'elementor-connector-for-woocommerce-bookings' ),
				'global'   => array(
					'default' => Global_Typography::TYPOGRAPHY_PRIMARY,
				),
				'selector' => '{{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker label, {{WRAPPER}} .wc-bookings-booking-form .wc-bookings-time-block-picker p',
			)
		);
