<?php
/**
 * The timeslot (Fixed Blocks) widget functionality of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.1.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Popover_Toggle;

// Design.
$this->add_control(
	'ecwb_timeslots_styles_background_header',
	array(
		'label' => __( 'Design', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::HEADING,
	)
);

$this->add_control(
	'ecwb_timeslots_styles_background_popover',
	array(
		'label' => __( 'Backgrounds', 'elementor-connector-for-woocommerce-bookings' ),
		'type'  => Controls_Manager::POPOVER_TOGGLE,
	)
);

$this->start_popover();

	$this->start_controls_tabs( 'ecwb_timeslots_styles_background_tabs' );

		$this->start_controls_tab(
			'ecwb_timeslots_styles_background_tabs_normal',
			array(
				'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
			)
		);

			$this->add_control(
				'ecwb_timeslots_styles_section_background',
				array(
					'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker' => 'background: {{VALUE}}',
					),
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_field_background',
				array(
					'label'     => __( 'Timeslot Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'background: {{VALUE}}',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_timeslots_styles_background_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_section_background_hover',
				array(
					'label'     => __( 'Section Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker:hover' => 'background: {{VALUE}}',
					),
					'condition' => array(
						'ecwb_timeslots_styles_background_popover' => 'yes',
					),
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_field_background_hover',
				array(
					'label'     => __( 'Timeslot Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a:hover' => 'background: {{VALUE}} !important',
					),
					'condition' => array(
						'ecwb_timeslots_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_timeslots_styles_background_tabs_select',
				array(
					'label' => __( 'Select', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_field_background_select',
				array(
					'label'     => __( 'Timeslot Background', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::COLOR,
					'default'   => '',
					'selectors' => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a.selected' => 'background: {{VALUE}} !important',
					),
					'condition' => array(
						'ecwb_timeslots_styles_background_popover' => 'yes',
					),
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->end_popover();

			$this->add_control(
				'ecwb_timeslots_styles_border_popover',
				array(
					'label' => __( 'Borders', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->start_controls_tabs( 'ecwb_timeslots_styles_border_tabs' );

			$this->start_controls_tab(
				'ecwb_timeslots_styles_border_tabs_normal',
				array(
					'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_timeslots_styles_field_border',
					'label'     => __( 'Timeslot Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .block-picker li a',
					'condition' => array(
						'ecwb_timeslots_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_timeslots_styles_border_tabs_hover',
				array(
					'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_timeslots_styles_field_border_hover',
					'label'     => __( 'Timeslot Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .block-picker li a:hover',
					'condition' => array(
						'ecwb_timeslots_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->start_controls_tab(
				'ecwb_timeslots_styles_border_tabs_focus',
				array(
					'label' => __( 'Focus', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

			$this->add_group_control(
				Group_Control_Border::get_type(),
				array(
					'name'      => 'ecwb_timeslots_styles_field_border_focus',
					'label'     => __( 'Timeslot Border', 'elementor-connector-for-woocommerce-bookings' ),
					'selector'  => '{{WRAPPER}} #wc-bookings-booking-form .block-picker li a.selected',
					'condition' => array(
						'ecwb_timeslots_styles_border_popover' => 'yes',
					),
					'separator' => 'after',
				)
			);

			$this->end_controls_tab();

			$this->end_controls_tabs();

			$this->add_responsive_control(
				'ecwb_timeslots_styles_field_border_radius',
				array(
					'label'      => __( 'Timeslot Border Radius', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px' ),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_timeslots_styles_border_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			// Layout.
			$this->add_control(
				'ecwb_timeslots_styles_layout_header',
				array(
					'label'     => __( 'Layout', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_margin_popover',
				array(
					'label' => __( 'Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_timeslots_styles_spacing_section_margin',
				array(
					'label'      => __( 'Timeslot Section Margin', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_timeslots_styles_margin_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_timeslots_styles_padding_popover',
				array(
					'label' => __( 'Padding', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_timeslots_styles_spacing_section_padding',
				array(
					'label'      => __( 'Individual Timeslots', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::DIMENSIONS,
					'size_units' => array( 'px', 'em', '%' ),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					),
					'default'    => array(
						'top'      => '',
						'right'    => '',
						'bottom'   => '',
						'left'     => '',
						'isLinked' => true,
					),
					'condition'  => array(
						'ecwb_timeslots_styles_padding_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			$this->add_control(
				'ecwb_timeslots_styles_dimensions_popover',
				array(
					'label' => __( 'Dimensions', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->add_responsive_control(
				'ecwb_timeslots_styles_section_width',
				array(
					'label'      => __( 'Timeslot Width', 'elementor-connector-for-woocommerce-bookings' ),
					'type'       => Controls_Manager::SLIDER,
					'size_units' => array( 'px', '%' ),
					'range'      => array(
						'px' => array(
							'min'  => 0,
							'max'  => 960,
							'step' => 5,
						),
						'%'  => array(
							'min' => 0,
							'max' => 100,
						),
					),
					'default'    => array(
						'unit' => '%',
						'size' => 33,
					),
					'selectors'  => array(
						'{{WRAPPER}} #wc-bookings-booking-form .block-picker li' => 'min-width: {{SIZE}}{{UNIT}};',
					),
					'condition'  => array(
						'ecwb_timeslots_styles_dimensions_popover' => 'yes',
					),
				)
			);

			$this->end_popover();

			// Typography.
			$this->add_control(
				'ecwb_timeslots_styles_typography_header',
				array(
					'label'     => __( 'Typograpy', 'elementor-connector-for-woocommerce-bookings' ),
					'type'      => Controls_Manager::HEADING,
					'separator' => 'before',
				)
			);

			$this->add_control(
				'ecwb_timeslots_styles_typography_popover',
				array(
					'label' => __( 'Font Colors', 'elementor-connector-for-woocommerce-bookings' ),
					'type'  => Controls_Manager::POPOVER_TOGGLE,
				)
			);

			$this->start_popover();

			$this->start_controls_tabs( 'ecwb_timeslots_styles_typography_tabs' );

			$this->start_controls_tab(
				'ecwb_timeslots_styles_typography_tabs_normal',
				array(
					'label' => __( 'Normal', 'elementor-connector-for-woocommerce-bookings' ),
				)
			);

				$this->add_control(
					'ecwb_timeslots_styles_label_typography_color',
					array(
						'label'     => __( 'Timeslot Color', 'elementor-connector-for-woocommerce-bookings' ),
						'type'      => Controls_Manager::COLOR,

						'selectors' => array(
							'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'color: {{VALUE}}',
						),
						'condition' => array(
							'ecwb_timeslots_styles_typography_popover' => 'yes',
						),
					)
				);

				$this->end_controls_tab();

				$this->start_controls_tab(
					'ecwb_timeslots_styles_typography_tabs_hover',
					array(
						'label' => __( 'Hover', 'elementor-connector-for-woocommerce-bookings' ),
					)
				);

				$this->add_control(
					'ecwb_timeslots_styles_label_typography_color_hover',
					array(
						'label'     => __( 'Timeslot Color', 'elementor-connector-for-woocommerce-bookings' ),
						'type'      => Controls_Manager::COLOR,

						'selectors' => array(
							'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a:hover' => 'color: {{VALUE}}',
						),
						'condition' => array(
							'ecwb_timeslots_styles_typography_popover' => 'yes',
						),
					)
				);

				$this->end_controls_tab();

				$this->end_controls_tabs();

				$this->end_popover();

				$this->add_group_control(
					Group_Control_Typography::get_type(),
					array(
						'name'     => 'ecwb_timeslots_styles_field_typography',
						'label'    => __( 'Timeslot', 'elementor-connector-for-woocommerce-bookings' ),
						'selector' => '{{WRAPPER}} #wc-bookings-booking-form .block-picker li a',
					)
				);

				$this->add_responsive_control(
					'ecwb_timeslots_styles_field_alignment',
					array(
						'label'     => __( 'Alignment', 'elementor-connector-for-woocommerce-bookings' ),
						'type'      => Controls_Manager::CHOOSE,
						'options'   => array(
							'left'   => array(
								'title' => __( 'Left', 'elementor-connector-for-woocommerce-bookings' ),
								'icon'  => 'eicon-text-align-left',
							),
							'center' => array(
								'title' => __( 'Center', 'elementor-connector-for-woocommerce-bookings' ),
								'icon'  => 'eicon-text-align-center',
							),
							'right'  => array(
								'title' => __( 'Right', 'elementor-connector-for-woocommerce-bookings' ),
								'icon'  => 'eicon-text-align-right',
							),
						),
						'default'   => 'center',
						'selectors' => array(
							'{{WRAPPER}} #wc-bookings-booking-form .block-picker li a' => 'text-align: {{VALUE}}',
						),
					)
				);
