<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpextend.io
 * @since      1.0.0
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/admin/partials
 */

global $ecwb_get_persons_meta, $ecwb_get_resources_meta, $ecwb_get_timeslots_meta, $ecwb_get_bookingtype_meta, $ecwb_get_duration_unit;

?>
<style type="text/css">
	/* Styles to be used in Admin Elementor Widget only. */
	.elementor-widget-ecwb-booking-form form {
		display: block !important;
	}

	.elementor-editor-active #ecwb-elementor-admin-form:before {
		visibility: hidden;
	}

	.elementor-editor-active .elementor-widget-ecwb-booking-form:hover #ecwb-elementor-admin-form:before {
		visibility: visible;
	}

	.elementor-editor-active #ecwb-elementor-admin-form:before {
		background: var(--e-p-border-widget, #f3bafd);
		position: absolute;
		content: "<?php esc_attr_e( 'Static demo widget only. Actual values used on front-end.', 'elementor-connector-for-woocommerce-bookings' ); ?>";
		font-size: 12px;
		color: var(--e-p-border-widget-invert, #0c0d0e);
		top: 0;
		left: 0;
		width: 100%;
		height: 25px;
		padding: 0 0.7em;
		line-height: 25px;
	}

	.elementor-editor-active .elementor-widget-ecwb-booking-form:hover #ecwb-elementor-admin-form {
		margin-top: 25px;
	}

	#wc-bookings-booking-form fieldset,
	#wc-bookings-booking-form table {
		border: none;
		width: 100%;
	}

	#wc-bookings-booking-form .form-field input[type=number] {
		width: auto;
	}

	.elementor-widget-ecwb-booking-form table:not( .has-background ) tbody tr:nth-child(2n) td,
	.elementor-widget-ecwb-booking-form fieldset,
	.elementor-widget-ecwb-booking-form fieldset legend {
		background: transparent;
	}
</style>
<form class="cart" method="post" enctype="multipart/form-data" data-nonce="cf7fbe13ed" id="ecwb-elementor-admin-form">

	<div id="wc-bookings-booking-form" class="wc-bookings-booking-form" style="">

	<?php if ( 'month' !== $ecwb_get_duration_unit ) { ?>

		<?php if ( true === $ecwb_get_persons_meta ) { ?>
			<p class="form-field form-field-wide wc_bookings_field_persons_154">
				<label for="wc_bookings_field_persons_154"><?php esc_html_e( 'Person Type #0:', 'elementor-connector-for-woocommerce-bookings' ); ?></label>
				<input type="number" value="0" step="1" min="0" max="1" name="wc_bookings_field_persons_154" id="wc_bookings_field_persons_154"> </p>
		<?php } ?>
		<?php if ( true === $ecwb_get_resources_meta ) { ?>
			<p class="form-field form-field-wide wc_booking_field_ wc_bookings_field_resource">
				<label for="wc_bookings_field_resource"><?php esc_html_e( 'Type:', 'elementor-connector-for-woocommerce-bookings' ); ?></label>
				<select name="wc_bookings_field_resource" id="wc_bookings_field_resource">
						<option value="153"><?php esc_html_e( 'Tables (+$10.00):', 'elementor-connector-for-woocommerce-bookings' ); ?></option>
				</select>
			</p>
		<?php } ?>

		<fieldset class="wc-bookings-date-picker wc_bookings_field_start_date wc-bookings-date-picker-accommodation-booking">
			<div class="picker hasDatepicker" data-display="always_visible" data-default-availability="false" data-min_date="+1d" data-max_date="+12w" data-default_date="2020-09-15" id="dp1600188748809" style="position: static; zoom: 1;">
				<div class="ui-datepicker-inline ui-datepicker ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" style="display: block;">
					<div class="ui-datepicker-header ui-widget-header ui-helper-clearfix ui-corner-all"><a class="ui-datepicker-prev ui-corner-all ui-state-disabled" title="Previous"><span class="ui-icon ui-icon-circle-triangle-w">Previous</span></a><a class="ui-datepicker-next ui-corner-all" data-handler="next" data-event="click" title="Next"><span class="ui-icon ui-icon-circle-triangle-e">Next</span></a>
						<div class="ui-datepicker-title"><span class="ui-datepicker-month"><?php esc_html_e( 'January', 'elementor-connector-for-woocommerce-bookings' ); ?></span>&nbsp;<span class="ui-datepicker-year">2025</span></div>
					</div>
					<table class="ui-datepicker-calendar">
						<thead><tr><th scope="col"><span title="Monday"><?php esc_html_e( 'M', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col"><span title="Tuesday"><?php esc_html_e( 'T', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col"><span title="Wednesday"><?php esc_html_e( 'W', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col"><span title="Thursday"><?php esc_html_e( 'T', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col"><span title="Friday"><?php esc_html_e( 'F', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col" class="ui-datepicker-week-end"><span title="Saturday"><?php esc_html_e( 'S', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th><th scope="col" class="ui-datepicker-week-end"><span title="Sunday"><?php esc_html_e( 'S', 'elementor-connector-for-woocommerce-bookings' ); ?></span></th></tr></thead>
						<tbody><tr><td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled not_bookable bookable" title="This date is available"><span class="ui-state-default">27</span></td><td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled not_bookable bookable" title="This date is available"><span class="ui-state-default">28</span></td><td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled not_bookable bookable" title="This date is available"><span class="ui-state-default">29</span></td><td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled not_bookable bookable" title="This date is available"><span class="ui-state-default">30</span></td><td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled not_bookable bookable" title="This date is available"><span class="ui-state-default">31</span></td><td class=" ui-datepicker-week-end ui-datepicker-unselectable ui-state-disabled bookable" title="This date is available"><span class="ui-state-default">1</span></td><td class=" ui-datepicker-week-end ui-datepicker-unselectable ui-state-disabled bookable" title="This date is available"><span class="ui-state-default">2</span></td></tr><tr><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">3</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">4</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">5</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">6</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">7</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">8</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">9</a></td></tr><tr><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">10</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">11</a></td><td class=" bookable ui-datepicker-current-day ui-datepicker-today" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">12</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">13</a></td><td class=" bookable-range selection-start-date ui-datepicker-current-day" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default ui-state-active" href="#">14</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">15</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">16</a></td></tr><tr><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">17</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">18</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">19</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">20</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">21</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">22</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">23</a></td></tr><tr><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">24</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">25</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">26</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">27</a></td><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">28</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">29</a></td><td class=" ui-datepicker-week-end bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">30</a></td></tr><tr><td class=" bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="0" data-year="2025"><a class="ui-state-default" href="#">31</a></td><td class=" ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">1</a></td><td class=" ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">2</a></td><td class=" ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">3</a></td><td class=" ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">4</a></td><td class=" ui-datepicker-week-end ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">5</a></td><td class=" ui-datepicker-week-end ui-datepicker-other-month bookable" title="This date is available" data-handler="selectDay" data-event="click" data-month="1" data-year="2025"><a class="ui-state-default ui-priority-secondary" href="#">6</a></td></tr></tbody>
					</table>
				</div>
			</div>
			<div class="wc-bookings-date-picker-date-fields" style="display: none;">
				<label>
			<input type="text" autocomplete="off" name="wc_bookings_field_start_date_month" placeholder="mm" size="2" class="required_for_calculation booking_date_month">
			<span><?php esc_html_e( 'Month', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
		</label> / <label>
			<input type="text" autocomplete="off" name="wc_bookings_field_start_date_day" placeholder="dd" size="2" class="required_for_calculation booking_date_day">
			<span><?php esc_html_e( 'Day', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
		</label> / <label>
			<input type="text" autocomplete="off" value="2020" name="wc_bookings_field_start_date_year" placeholder="YYYY" size="4" class="required_for_calculation booking_date_year">
			<span><?php esc_html_e( 'Year', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
		</label>
			</div>
		<?php if ( 'fixed' === $ecwb_get_timeslots_meta ) { ?>
			<div class="form-field form-field-wide" style="position: static; zoom: 1;">
				<ul class="block-picker">
					<li class="block" data-block="0700"><a href="#" data-value="2020-09-17T07:00:00+0000" style="width: 77px; height: 33px;">7:00 am</a></li>
					<li class="block" data-block="0900"><a href="#" data-value="2020-09-17T09:00:00+0000" style="width: 77px; height: 33px;">9:00 am</a></li>
					<li class="block" data-block="1100"><a href="#" data-value="2020-09-17T11:00:00+0000" style="width: 77px; height: 33px;">11:00 am</a></li>
					<li class="block" data-block="1300"><a href="#" data-value="2020-09-17T13:00:00+0000" style="width: 77px; height: 33px;">1:00 pm</a></li>
					<li class="block" data-block="1500"><a href="#" data-value="2020-09-17T15:00:00+0000" style="width: 77px; height: 33px;">3:00 pm</a></li>
					<li class="block" data-block="1700"><a href="#" data-value="2020-09-17T17:00:00+0000" style="width: 77px; height: 33px;">5:00 pm</a></li>
				</ul>
				<input type="hidden" class="required_for_calculation" name="wc_bookings_field_start_date_time" id="wc_bookings_field_start_date" value="">
			</div>
			<div class="timezone-details" style="display: none;">
				<input type="hidden" name="wc_bookings_field_start_date_local_timezone">
			</div>
		<?php } ?>

		<?php if ( 'customer' === $ecwb_get_timeslots_meta ) { ?>
			<div class="form-field form-field-wide">
						<div class="block-picker wc-bookings-time-block-picker" style="position: relative; zoom: 1;"><div class="wc-bookings-start-time-container" data-product-id="262" data-blocks="[1623888000,1623891600,1623895200,1623898800,1623902400,1623906000,1623909600,1623913200,1623916800,1623920400,1623924000,1623927600,1623931200,1623934800,1623938400,1623942000,1623945600,1623949200,1623952800,1623956400,1623960000,1623963600,1623967200,1623970800,1623801600,1623805200,1623808800,1623812400,1623816000,1623819600,1623823200,1623826800,1623830400,1623834000,1623837600,1623841200,1623844800,1623848400,1623852000,1623855600,1623859200,1623862800,1623866400,1623870000,1623873600,1623877200,1623880800,1623884400]"><label for="wc-bookings-form-start-time"><?php esc_html_e( 'Starts', 'elementor-connector-for-woocommerce-bookings' ); ?></label><select id="wc-bookings-form-start-time" name="start_time"><option value="0"><?php esc_html_e( 'Start time', 'elementor-connector-for-woocommerce-bookings' ); ?></option><option data-block="2300" value="2021-06-16T23:00:00+0000">12:00 am</option><option data-block="0000" value="2021-06-17T00:00:00+0000">1:00 am</option><option data-block="0100" value="2021-06-17T01:00:00+0000">2:00 am</option><option data-block="0200" value="2021-06-17T02:00:00+0000">3:00 am</option><option data-block="0300" value="2021-06-17T03:00:00+0000">4:00 am</option><option data-block="0400" value="2021-06-17T04:00:00+0000">5:00 am</option><option data-block="0500" value="2021-06-17T05:00:00+0000">6:00 am</option><option data-block="0600" value="2021-06-17T06:00:00+0000">7:00 am</option><option data-block="0700" value="2021-06-17T07:00:00+0000">8:00 am</option><option data-block="0800" value="2021-06-17T08:00:00+0000">9:00 am</option><option data-block="0900" value="2021-06-17T09:00:00+0000">10:00 am</option><option data-block="1000" value="2021-06-17T10:00:00+0000">11:00 am</option><option data-block="1100" value="2021-06-17T11:00:00+0000">12:00 pm</option><option data-block="1200" value="2021-06-17T12:00:00+0000">1:00 pm</option><option data-block="1300" value="2021-06-17T13:00:00+0000">2:00 pm</option><option data-block="1400" value="2021-06-17T14:00:00+0000">3:00 pm</option><option data-block="1500" value="2021-06-17T15:00:00+0000">4:00 pm</option><option data-block="1600" value="2021-06-17T16:00:00+0000">5:00 pm</option><option data-block="1700" value="2021-06-17T17:00:00+0000">6:00 pm</option><option data-block="1800" value="2021-06-17T18:00:00+0000">7:00 pm</option><option data-block="1900" value="2021-06-17T19:00:00+0000">8:00 pm</option><option data-block="2000" value="2021-06-17T20:00:00+0000">9:00 pm</option><option data-block="2100" value="2021-06-17T21:00:00+0000">10:00 pm</option><option data-block="2200" value="2021-06-17T22:00:00+0000">11:00 pm</option></select></div>&nbsp;&nbsp;<div class="wc-bookings-end-time-container"><label for="wc-bookings-form-end-time"><?php esc_html_e( 'Ends', 'elementor-connector-for-woocommerce-bookings' ); ?></label><select id="wc-bookings-form-end-time" name="end_time"><option value="0"><?php esc_html_e( 'End time', 'elementor-connector-for-woocommerce-bookings' ); ?></option></select></div></div>
					<input type="hidden" name="wc_bookings_field_duration" value="1" class="wc_bookings_field_duration">
					<input type="hidden" class="required_for_calculation" name="wc_bookings_field_start_date_time" id="wc_bookings_field_start_date">
			</div>
			<?php
		}

		if ( true === $ecwb_get_bookingtype_meta ) {
			?>

			<div class="wc-bookings-date-picker-date-fields">
				<span><?php esc_html_e( 'Check-in:', 'elementor-connector-for-woocommerce-bookings' ); ?></span><br>
				<label>
					<input type="text" autocomplete="off" name="wc_bookings_field_start_date_month" placeholder="mm" size="2" class="booking_date_month">
					<span><?php esc_html_e( 'Month', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label> / <label>
					<input type="text" autocomplete="off" name="wc_bookings_field_start_date_day" placeholder="dd" size="2" class="booking_date_day">
					<span><?php esc_html_e( 'Day', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label> / <label>
					<input type="text" autocomplete="off" value="2021" name="wc_bookings_field_start_date_year" placeholder="YYYY" size="4" class="booking_date_year">
					<span><?php esc_html_e( 'Year', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label>
			</div>

			<div class="wc-bookings-date-picker-date-fields">
				<span><?php esc_html_e( 'Check-out:', 'elementor-connector-for-woocommerce-bookings' ); ?></span><br>
				<label>
					<input type="text" autocomplete="off" name="wc_bookings_field_start_date_to_month" placeholder="mm" size="2" class="booking_to_date_month">
					<span><?php esc_html_e( 'Month', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label> / <label>
					<input type="text" name="wc_bookings_field_start_date_to_day" placeholder="dd" size="2" class="booking_to_date_day">
					<span><?php esc_html_e( 'Day', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label> / <label>
					<input type="text" autocomplete="off" value="2021" name="wc_bookings_field_start_date_to_year" placeholder="YYYY" size="4" class="booking_to_date_year">
					<span><?php esc_html_e( 'Year', 'elementor-connector-for-woocommerce-bookings' ); ?></span>
				</label>
			</div>
			<?php
		}
		?>

		</fieldset>

		<div class="wc-bookings-booking-cost" style="display:none" data-raw-price=""></div>
		<?php } ?>

		<?php if ( 'month' === $ecwb_get_duration_unit ) { ?>
			<div id="wc-bookings-booking-form" class="wc-bookings-booking-form" style="">
			<div class="form-field form-field-wide">
				<div class="picker" data-is_range_picker_enabled="0"></div>
					<ul class="block-picker">
					<li class="" data-block="202502"><a href="#" data-value="2025-02" style="width: 174.703px; height: 40px;">Feb 2025</a></li><li class="" data-block="202503"><a href="#" data-value="2025-03" style="width: 174.703px; height: 40px;">Mar 2025</a></li><li class="" data-block="202504"><a href="#" data-value="2025-04" style="width: 174.703px; height: 40px;">Apr 2025</a></li><li class="" data-block="202505"><a href="#" data-value="2025-05" style="width: 174.703px; height: 40px;">May 2025</a></li><li class="" data-block="202506"><a href="#" data-value="2025-06" style="width: 174.703px; height: 40px;">Jun 2025</a></li><li class="" data-block="202507"><a href="#" data-value="2025-07" style="width: 174.703px; height: 40px;">Jul 2025</a></li><li class="" data-block="202508"><a href="#" data-value="2025-08" style="width: 174.703px; height: 40px;">Aug 2025</a></li><li class="" data-block="202509"><a href="#" data-value="2025-09" style="width: 174.703px; height: 40px;">Sep 2025</a></li><li class="" data-block="202510"><a href="#" data-value="2025-10" style="width: 174.703px; height: 40px;">Oct 2025</a></li><li class="" data-block="202511"><a href="#" data-value="2025-11" style="width: 174.703px; height: 40px;">Nov 2025</a></li><li class="" data-block="202512"><a href="#" data-value="2025-12" style="width: 174.703px; height: 40px;">Dec 2025</a></li><li class="" data-block="202501"><a href="#" data-value="2025-01" style="width: 174.703px; height: 40px;">Jan 2025</a></li>	</ul>
				<input type="hidden" name="wc_bookings_field_start_date_yearmonth" id="wc_bookings_field_start_date" value="2025-06">
			</div>


			<div class="wc-bookings-booking-cost" style="zoom: 1;" data-raw-price=""><?php esc_html_e( 'Booking Cost:', 'elementor-connector-for-woocommerce-bookings' ); ?> <strong><span class="woocommerce-Price-amount amount"><bdi><span class="woocommerce-Price-currencySymbol">$</span>110.00</bdi></span></strong></div>

		</div>
		<?php } ?>
	</div>

	<input type="hidden" name="add-to-cart" value="96" class="wc-booking-product-id">

	<button type="submit" class="wc-bookings-booking-form-button single_add_to_cart_button button alt disabled" style=""><?php esc_html_e( 'Book now', 'elementor-connector-for-woocommerce-bookings' ); ?></button>

</form>
