<?php
/**
 * Elementor Connector for WooCommerce Bookings
 *
 * @link              https://wpextend.io
 * @since             1.0.0
 * @package           Elementor_Connector_For_Woocommerce_Bookings
 *
 * @wordpress-plugin
 *
 * Plugin Name:       Elementor Connector for WooCommerce Bookings
 * Plugin URI:        https://woo.com/products/elementor-connector-for-woocommerce-bookings/
 * Description:       Elementor Connector adds a new WooCommerce Bookings widget to the theme builder for use in bookable products.
 * Version:           1.9
 * Author:            WPExtend
 * Author URI:        https://woo.com/vendor/wpextend/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       elementor-connector-for-woocommerce-bookings
 * Domain Path:       /languages
 * Requires Plugins:  woocommerce
 *
 * Requires at least: 5.2
 * Tested up to: 6.4
 * Requires PHP: 7.4
 *
 * WC requires at least: 7.2
 * WC tested up to: 9.6
 *
 * Woo: 7411140:83c52c49c12145c5f25d3cf46d4aaa64
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'ELEMENTOR_CONNECTOR_FOR_WOOCOMMERCE_BOOKINGS_VERSION', '1.9' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-elementor-connector-for-woocommerce-bookings-activator.php
 */
function activate_elementor_connector_for_woocommerce_bookings() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elementor-connector-for-woocommerce-bookings-activator.php';
	Elementor_Connector_For_Woocommerce_Bookings_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-elementor-connector-for-woocommerce-bookings-deactivator.php
 */
function deactivate_elementor_connector_for_woocommerce_bookings() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-elementor-connector-for-woocommerce-bookings-deactivator.php';
	Elementor_Connector_For_Woocommerce_Bookings_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_elementor_connector_for_woocommerce_bookings' );
register_deactivation_hook( __FILE__, 'deactivate_elementor_connector_for_woocommerce_bookings' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-elementor-connector-for-woocommerce-bookings.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_elementor_connector_for_woocommerce_bookings() {

	$plugin = new Elementor_Connector_For_Woocommerce_Bookings();
	$plugin->run();
}
run_elementor_connector_for_woocommerce_bookings();
